Bug 20435 - rwhod broadcast to all interfaces including virtual
Summary: rwhod broadcast to all interfaces including virtual
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rwho   
(Show other bugs)
Version: 7.0
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Preston Brown
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-06 19:48 UTC by Darryl Wagoner
Modified: 2005-10-31 22:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-06 19:48:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Darryl Wagoner 2000-11-06 19:48:22 UTC
If you have virtual network interfaces for example: eth0, eth0:0, eth0:1, eth0:2, etc
rwhod will broadcast on each one.  When it should only broadcast on the real one.

Fix: In the configure option do a check for ":" in the adapter name.  If there free the
list item and continue to the next.  See code below.  Other fixes would be to
keep a list of network address and not dup them.  This would still broadcast
to different networks on the same wire.  I don't have this problem so I took
the easy way out.

configure(int s)
....
....
      strcpy(np->n_name, ifr->ifr_name);
      co = strchr(np->n_name,':');
      if (co)
        {
          free((char *)np);
          continue;
        }

Comment 1 Preston Brown 2001-02-02 22:54:20 UTC
fixed in 0.17-8, available soon in rawhide.  Thanks for the patch.


Note You need to log in before you can comment on or make changes to this bug.